// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/HeatPumpSettings.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace HeatPumpSettings {

  /// <summary>Holder for reflection information generated from telemetry/HeatPumpSettings.proto</summary>
  public static partial class HeatPumpSettingsReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/HeatPumpSettings.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static HeatPumpSettingsReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiB0ZWxlbWV0cnkvSGVhdFB1bXBTZXR0aW5ncy5wcm90bxISaGVhdF9wdW1w",
            "X3NldHRpbmdzGh9nb29nbGUvcHJvdG9idWYvdGltZXN0YW1wLnByb3RvItgB",
            "ChBIZWF0UHVtcFNldHRpbmdzEiEKFGhlYXRfc2V0X3RlbXBlcmF0dXJlGAEg",
            "ASgJSACIAQESJAoXY29vbGluZ19zZXRfdGVtcGVyYXR1cmUYAiABKAlIAYgB",
            "ARInChp3YXRlcl9oZWF0X3NldF90ZW1wZXJhdHVyZRgDIAEoCUgCiAEBQhcK",
            "FV9oZWF0X3NldF90ZW1wZXJhdHVyZUIaChhfY29vbGluZ19zZXRfdGVtcGVy",
            "YXR1cmVCHQobX3dhdGVyX2hlYXRfc2V0X3RlbXBlcmF0dXJlQnwKG2NvbS5j",
            "b2RpYmx5Lm1vZGVsLnRlbGVtZXRyeUIVSGVhdFB1bXBTZXR0aW5nc1Byb3Rv",
            "ygIbRG9tYWluTW9kZWxcUHJvdG9cVGVsZW1ldHJ54gInRG9tYWluTW9kZWxc",
            "UHJvdG9cVGVsZW1ldHJ5XEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::HeatPumpSettings.HeatPumpSettings), global::HeatPumpSettings.HeatPumpSettings.Parser, new[]{ "HeatSetTemperature", "CoolingSetTemperature", "WaterHeatSetTemperature" }, new[]{ "HeatSetTemperature", "CoolingSetTemperature", "WaterHeatSetTemperature" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class HeatPumpSettings : pb::IMessage<HeatPumpSettings>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<HeatPumpSettings> _parser = new pb::MessageParser<HeatPumpSettings>(() => new HeatPumpSettings());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<HeatPumpSettings> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::HeatPumpSettings.HeatPumpSettingsReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpSettings() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpSettings(HeatPumpSettings other) : this() {
      heatSetTemperature_ = other.heatSetTemperature_;
      coolingSetTemperature_ = other.coolingSetTemperature_;
      waterHeatSetTemperature_ = other.waterHeatSetTemperature_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpSettings Clone() {
      return new HeatPumpSettings(this);
    }

    /// <summary>Field number for the "heat_set_temperature" field.</summary>
    public const int HeatSetTemperatureFieldNumber = 1;
    private string heatSetTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string HeatSetTemperature {
      get { return heatSetTemperature_ ?? ""; }
      set {
        heatSetTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "heat_set_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasHeatSetTemperature {
      get { return heatSetTemperature_ != null; }
    }
    /// <summary>Clears the value of the "heat_set_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearHeatSetTemperature() {
      heatSetTemperature_ = null;
    }

    /// <summary>Field number for the "cooling_set_temperature" field.</summary>
    public const int CoolingSetTemperatureFieldNumber = 2;
    private string coolingSetTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string CoolingSetTemperature {
      get { return coolingSetTemperature_ ?? ""; }
      set {
        coolingSetTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "cooling_set_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasCoolingSetTemperature {
      get { return coolingSetTemperature_ != null; }
    }
    /// <summary>Clears the value of the "cooling_set_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearCoolingSetTemperature() {
      coolingSetTemperature_ = null;
    }

    /// <summary>Field number for the "water_heat_set_temperature" field.</summary>
    public const int WaterHeatSetTemperatureFieldNumber = 3;
    private string waterHeatSetTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string WaterHeatSetTemperature {
      get { return waterHeatSetTemperature_ ?? ""; }
      set {
        waterHeatSetTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "water_heat_set_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasWaterHeatSetTemperature {
      get { return waterHeatSetTemperature_ != null; }
    }
    /// <summary>Clears the value of the "water_heat_set_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearWaterHeatSetTemperature() {
      waterHeatSetTemperature_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as HeatPumpSettings);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(HeatPumpSettings other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (HeatSetTemperature != other.HeatSetTemperature) return false;
      if (CoolingSetTemperature != other.CoolingSetTemperature) return false;
      if (WaterHeatSetTemperature != other.WaterHeatSetTemperature) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasHeatSetTemperature) hash ^= HeatSetTemperature.GetHashCode();
      if (HasCoolingSetTemperature) hash ^= CoolingSetTemperature.GetHashCode();
      if (HasWaterHeatSetTemperature) hash ^= WaterHeatSetTemperature.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasHeatSetTemperature) {
        output.WriteRawTag(10);
        output.WriteString(HeatSetTemperature);
      }
      if (HasCoolingSetTemperature) {
        output.WriteRawTag(18);
        output.WriteString(CoolingSetTemperature);
      }
      if (HasWaterHeatSetTemperature) {
        output.WriteRawTag(26);
        output.WriteString(WaterHeatSetTemperature);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasHeatSetTemperature) {
        output.WriteRawTag(10);
        output.WriteString(HeatSetTemperature);
      }
      if (HasCoolingSetTemperature) {
        output.WriteRawTag(18);
        output.WriteString(CoolingSetTemperature);
      }
      if (HasWaterHeatSetTemperature) {
        output.WriteRawTag(26);
        output.WriteString(WaterHeatSetTemperature);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasHeatSetTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(HeatSetTemperature);
      }
      if (HasCoolingSetTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(CoolingSetTemperature);
      }
      if (HasWaterHeatSetTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(WaterHeatSetTemperature);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(HeatPumpSettings other) {
      if (other == null) {
        return;
      }
      if (other.HasHeatSetTemperature) {
        HeatSetTemperature = other.HeatSetTemperature;
      }
      if (other.HasCoolingSetTemperature) {
        CoolingSetTemperature = other.CoolingSetTemperature;
      }
      if (other.HasWaterHeatSetTemperature) {
        WaterHeatSetTemperature = other.WaterHeatSetTemperature;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            HeatSetTemperature = input.ReadString();
            break;
          }
          case 18: {
            CoolingSetTemperature = input.ReadString();
            break;
          }
          case 26: {
            WaterHeatSetTemperature = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            HeatSetTemperature = input.ReadString();
            break;
          }
          case 18: {
            CoolingSetTemperature = input.ReadString();
            break;
          }
          case 26: {
            WaterHeatSetTemperature = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
